FROM kong:3.7

COPY config/kong.yml /etc/kong/kong.yml.tpl
COPY --chmod=755 config/docker-entrypoint.sh /custom-entrypoint.sh

ENV KONG_DATABASE=off
ENV KONG_DECLARATIVE_CONFIG=/etc/kong/kong.yml
ENV KONG_PROXY_LISTEN=0.0.0.0:8000
ENV KONG_ADMIN_LISTEN=0.0.0.0:8001
ENV KONG_LOG_LEVEL=info

ENTRYPOINT ["/custom-entrypoint.sh"]
